DASEL-PUT(1)

NAME

dasel-put - Write properties to the given file.

SYNOPSIS

dasel put -t -v -f -r [flags]

DESCRIPTION

Write properties to the given file.

OPTIONS

--colour[=false]
    Print colourised output.

--csv-comma=","
    Comma separator to use when working with csv files.

--csv-comment=""
    Comma separator used when reading csv files.

--csv-crlf[=false]
    True to use CRLF when writing CSV files.

--csv-write-comma=""
    Comma separator used when writing csv files. Overrides csv-comma when writing.

--escape-html[=false]
    Escape HTML tags when writing output.

-f, --file=""
    The file to query.

-h, --help[=false]
    help for put

--indent=2
    The indention level when writing files.

-o, --out=""
    The file to write output to.

--pretty[=true]
    Pretty print the output.

-r, --read=""
    The parser to use when reading.

-s, --selector=""
    The selector to use when querying the data structure.

-t, --type="string"
    The type of variable being written.

-v, --value=""
    The value to write.

-w, --write=""
    The parser to use when writing. Defaults to the read parser if not provided.

SEE ALSO

dasel(1)